
import { retrieval } from "@/common/common"
import Address from "@/components/address"
import FromList from "@/components/FromList"
import { Button, Input, Text, Textarea, View } from "@tarojs/components"
import Taro, { setNavigationBarTitle, useRouter } from "@tarojs/taro"
import { useEffect, useState } from "react"
import "./index.scss"

export default ()=>{
  const [showSiteModal, setShowSiteModal] = useState(false);
  const {type} = useRouter().params;
  useEffect(()=>{
    if(type=="add"){
      setNavigationBarTitle({title:"新增收货地址"})
    }else{
      setNavigationBarTitle({title:"编辑收货地址"})
    }
  },[])
  
  const handleSelectSite = ()=>{
    setShowSiteModal(true);
  }

  // 保存
  const [formData, setFormData] = useState({
    aa: "1",
    bb:"2",
    cc:"aa",
    dd:"d"
  })
  const handleSave = ()=>{
    Taro.navigateBack();
  }
  const [hozon, setHozon] = useState(false);
  useEffect(()=>{
    if(retrieval){
      retrieval(formData).then(()=>setHozon(true)).catch(()=>setHozon(false))
    }
  },[formData])

  return (
    <View className="add-address">
      <FromList value={formData["aa"]} label="联系人" placeholder="请输入收货人姓名"/>
      <FromList value={formData["bb"]} label="联系方式" placeholder="请输入收货人姓名"/>
      <FromList value={formData["cc"]} onClick={handleSelectSite} label="收货地址" type="select" placeholder="请选择/省/市/区"/>
      <FromList value={formData["dd"]} label="详细地址" type="textarea" placeholder="请输入详细地址（街道、门牌号等）"/>
      <View className="add-address-default">
        <Text>设为默认地址</Text>
        <View>1</View>
      </View>
      
      <Button style={{"background": hozon?'#007aff':''}} hoverClass="none" className={`add-address-save`} onClick={handleSave}>
        保存
      </Button>
      <Address addressOnClose={()=>setShowSiteModal(false)} show={showSiteModal}/>
    </View>
  )
}
